%define version 0.9.7
%define release %mkrel 3

%define name libdvdread
%define major 3
%define libname %mklibname dvdread %major

Summary:	Library to read DVD images
Summary(de):	Bibliothek zum lesen von DVD
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		System/Libraries
Source0:	http://www.dtek.chalmers.se/groups/dvd/dist/%{name}-%{version}.tar.xz
Patch:		libdvdread-automake.patch
URL:		http://www.dtek.chalmers.se/groups/dvd/
BuildRoot:	%_tmppath/%{name}-buildroot

%description
libdvdread provides a simple foundation for reading DVD-Video images.
#german
%description -l de
%name bietet eine einfache Funktion zum lesen von DVD-Video Abbildern.

%package -n %libname
Summary:	Library to read DVD images
Summary(de):	Bibliothek zum lesen von DVD 
Group:		System/Libraries

%description -n %libname
Libdvdread provides a simple foundation for reading DVD-Video images.
This package contains the shared library to run applications utilizing
libdvdread.
#german
%description -n %libname -l de
%name bietet eine einfache Funktion zum lesen von DVD-Video Abbildern.
Dieses Paket beinhaltet die benötigten Bibliotheken.


%package -n %libname-devel
Summary:	Libdvdread library headers
Summary(de):	Libdvdread Bibliothek Headers
Group:		Development/C
Requires:	%{libname} = %{version}
Provides: %name-devel = %version-%release

%description -n %libname-devel
This is the libraries, include files and other resources you can use
to incorporate libdvdread into applications.
#german
%description -n %libname-devel -l de
Entwicklerdateien zum erstellen von Anwendungen basierend auf %name.

%package utils
Summary:	Libdvdread utilities
Summary(de):	Libdvdread Werkzeuge 
Group:		Video

%description utils
This contains some test utilities based on libdvdread: ifo_dump,
play_title and title_info.
#german
%description utils -l de
Beinhaltet Testwerkzeuge basierend auf %name: 
ifo_dump, play_title und title_info.

%prep
%setup -q 
%patch -p1

%build
rm missing
libtoolize --copy --force
aclocal
autoconf
automake -a -c
%configure2_5x 
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir -p %buildroot/%_bindir
cp src/.libs/* %buildroot/%_bindir

%post -n %libname
/sbin/ldconfig
%postun -n %libname
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT
%__rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files -n %libname
%defattr(644,root,root,755)
%doc README AUTHORS TODO
%attr(755,root,root) %{_libdir}/lib*.so.%{major}*

%files -n %libname-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%_libdir/*.a
%{_includedir}/dvdread

%files utils
%defattr(755,root,root,755)
%_bindir/*


%changelog
* Tue Mar 26 2012 Neal <nealbrks0 at gmail dot com> 0.9.7-3pclos2012
- process

* Tue Mar 26 2012 leiche <meisssw01 at gmail.com> 0.9.7-3pclos2012
- add german description
- convert archive to xz

* Fri Jan 08 2010 Texstar <texstar at gmail.com> 0.9.7-2pclos2010
- rebuild

